Bug 1341163

Summary: don't reset progress bar for system upgrade when resuming download
Product: [Fedora] Fedora Reporter: Kamil Páral <kparal>
Component: gnome-softwareAssignee: Richard Hughes <rhughes>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jan.public, klember, mcatanzaro+wrong-account-do-not-cc, rhughes
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-09-15 08:35:36 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1308538    

Description Kamil Páral 2016-05-31 11:58:12 UTC
Description of problem:
Originally reported as bug 1335414 comment 5 through 7.

When the system upgrade download is interrupted for any reason (network timeout, network down, system shutdown, etc) and then resumed, the progress bar starts at 0%, even though many packages are already downloaded. The users have no detailed information available, which means they have to assume the whole download operation starts from scratch. That can be very infuriating. It is not true, but that's how it looks like.

When the user resumes system upgrade download, please adjust the progress bar accordingly (so if e.g. 50% of packages are already downloaded and present on disk, start the progress bar at 50%).

Version-Release number of selected component (if applicable):
PackageKit-1.1.1-2.fc23
libgusb-0.2.9-1.fc23
libhif-0.2.2-4.fc23
gnome-software-3.20.3-1.fc23
libappstream-glib-0.5.14-1.fc23
json-glib-1.2.0-1.fc23

How reproducible:
always

Steps to Reproduce:
1. download some packages during system upgrade (e.g. 30% of them) and then interrupt the download somehow
2. resume the download
3. see the progress bar starting at 0% (well, it's more like 10% because it counts repo initialization for that much)

Additional info:
The progress bar fills up more rapidly after resume (because there's less stuff to download), but that's almost imperceptible on slow links or when you haven't already downloaded a very large percentage of the overall bulk already).

Comment 1 Fedora End Of Life 2016-11-25 09:10:22 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Richard Hughes 2020-09-15 08:35:36 UTC
>the progress bar starts at 0%, even though many packages are already downloaded

We don't get the previous percentage from PackageKit; we only know the percentage from the current transaction unfortunately.